---
include:
  - component: gitlab.com/almaops/ci-templates/common/kaniko-docker-config@v0.0.1

variables:
  KANIKO_IMAGE: gcr.io/kaniko-project/executor:v1.18.0-debug

workflow:
  rules:
    - if: $CI_COMMIT_BRANCH == "master"

stages:
  - build

.job-template-build:
  stage: build
  image:
    name: ${KANIKO_IMAGE}
    entrypoint: [""]
  before_script:
    - !reference [.kaniko-docker-config]
  script:
    - VERSION=$(date +%F)
    - /kaniko/executor --context ${CI_PROJECT_DIR}
        --dockerfile ${CI_PROJECT_DIR}/Dockerfile
        --build-arg BASE_IMAGE=${BASE_IMAGE}
        --build-arg BASE_IMAGE_TAG=${BASE_IMAGE_TAG}
        --destination ${CI_REGISTRY_IMAGE}/${BASE_IMAGE}:${VERSION}
        --destination ${CI_REGISTRY_IMAGE}/${BASE_IMAGE}:latest
  tags:
    - common

build:alpine:
  extends: .job-template-build
  variables:
    BASE_IMAGE: alpine
    BASE_IMAGE_TAG: "3.19.0"

build:ubuntu:
  extends: .job-template-build
  variables:
    BASE_IMAGE: ubuntu
    BASE_IMAGE_TAG: "22.04"
...
